Autor Tópico: Erro 404 - Falha no "apt-get update" [RESOLVIDO]  (Lida 8208 vezes)

Offline edsonne3to

  • Usuário Ubuntu
  • *
  • Mensagens: 9
    • Ver perfil
Erro 404 - Falha no "apt-get update" [RESOLVIDO]
« Online: 11 de Agosto de 2015, 14:04 »
Acabei de atualizar meu Ubuntu 14.04 LTS para o 15.04 GNOME (utilizando CD). Depois de reinstalar alguns softwares (ele acusou erro na atualização durante a instalação), ao executar o comando "apt-get update" encontrei os seguintes erros:

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/source/Sources  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://ppa.launchpad.net/nuvola-player-builders/stable/ubuntu/dists/vivid/main/binary-amd64/Packages  404  Not Found

W: Falhou ao buscar http://ppa.launchpad.net/nuvola-player-builders/stable/ubuntu/dists/vivid/main/binary-i386/Packages  404  Not Found

Como posso resolver?
« Última modificação: 23 de Agosto de 2015, 15:11 por edsonne3to »

Creto

  • Visitante
Re:Erro "apt-get update"
« Resposta #1 Online: 11 de Agosto de 2015, 18:16 »
Primeiro vou te explicar o que é o Erro 404

T+

Offline lSinkz

  • Usuário Ubuntu
  • *
  • Mensagens: 10
    • Ver perfil
Re:Erro "apt-get update"
« Resposta #2 Online: 15 de Agosto de 2015, 07:09 »
Acabei de atualizar meu Ubuntu 14.04 LTS para o 15.04 GNOME (utilizando CD). Depois de reinstalar alguns softwares (ele acusou erro na atualização durante a instalação), ao executar o comando "apt-get update" recebi os seguintes erros:

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/source/Sources  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/binary-amd64/Packages  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://extras.ubuntu.com/ubuntu/dists/vivid/main/binary-i386/Packages  404  Not Found [IP: 91.189.92.152 80]

W: Falhou ao buscar http://ppa.launchpad.net/nuvola-player-builders/stable/ubuntu/dists/vivid/main/binary-amd64/Packages  404  Not Found

W: Falhou ao buscar http://ppa.launchpad.net/nuvola-player-builders/stable/ubuntu/dists/vivid/main/binary-i386/Packages  404  Not Found

Como posso resolver?

404 Not Found, quer dizer que não existe, ou seja não é erro.

Offline garfo

  • Usuário Ubuntu
  • *
  • Mensagens: 1.023
  • Keep easy and simple.
    • Ver perfil
    • linux
Re:Erro "apt-get update"
« Resposta #3 Online: 15 de Agosto de 2015, 08:25 »
Citar
ou seja não é erro.

Ah, sim sim... não é um erro, é uma falha.

Quanta diferença, hein? :D
Garfo -  linux
"Pra quê complicar? Facilidade e simplicidade é tudo!"

Creto

  • Visitante
Re:Erro "apt-get update"
« Resposta #4 Online: 15 de Agosto de 2015, 16:40 »
Errados somos nós, que o chamamos de erro e tudo que não funciona quando é para funcionar, pode caracterizar-se um erro, como foi o meu de ter postado a informação.

T+

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.552
    • Ver perfil
Re:Erro "apt-get update"
« Resposta #5 Online: 16 de Agosto de 2015, 04:55 »
Então, /edsonne3to/,

Suponho que você seja iniciante, já que fez o post na "Área para Iniciantes".
Essas ideias e conceitos relativas as mensagens de erros indicadas podem não ser assim tão simples para quem está iniciando.
Não é automática e tampouco óbvia a compreensão dessas questões.
Mas não é realmente difícil entender o que está ocorrendo.

Observe que a falha ocorrida deu-se apenas em dois endereços principais (basta separar o domínio do restante do link), assim:

http://extras.ubuntu.com

http://ppa.launchpad.net/nuvola-player-builders

O que acontece é apenas que não existem os pacotes de atualizações para a versão vivid do Ubuntu, que é a versão 15.04 para a qual você atualizou.

Se observar os endereços onde se verificaram as falhas, note que em todos eles existe /vivid/ indicando que  atualizador estava procurando uma atualização para essa versão, a qual não existe nos endereços principais acima indicados.

Se você entrar na página do endereço principal observará que no primeiro deles existem pacotes para as versões do Ubuntu precise (12.04), quantal (12.10), saucy (13.10), trusty (14.04) e utopic (14.10), mas não para a vivid (15.04), daí porque o atualizador não achou e devolveu a mensagem de erro 404, isto é, o endereço não foi encontrado, porque não existe.

No segundo endereço principal, que é uma ppa (igualmente entrando nele, irá observar situação semelhante.

E porque não existem tais atualizações para a versão 15.04 - vivid do Ubuntu?
Oras, apenas porque não foram criadas pelos desenvolvedores respectivos e talvez nem sejam.
À propósito, no Nuvola Player Stable Builds, que é o segundo endereço principal, se lê: "This PPA is obsolete. It's time to upgrade to Nuvola Player 3", portanto, certamente não haverá mais atualização mesmo.

E como objetivamente resolver o problema para que o atualizador não fique procurando atualizações em endereços que não existem?

Simples, desabilite essas ppas nas configurações do sistema.
Possivelmente você deverá ir além, como no caso acima mencionado do Nuvola Player Stable Builds, onde não só deverá desabilitar a ppa talvez desinstalar o pacote e, querendo, instalar a nova versão, como o próprio desenvolvedor indica.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline selvaking

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.172
  • Parque Anchieta - Rio de Janeiro - RJ
    • Ver perfil
Re:Erro "apt-get update"
« Resposta #6 Online: 16 de Agosto de 2015, 09:37 »
Caro edsonne3to!

O maior de todos os erros, ao meu ver, foi vc ter saído do Ubuntu 14.04 LTS para a 15.04.
Eu só troco de Ubuntu quando sai uma nova LTS. A próxima vai ser em Abril de 2016 (16.04).
O suporte as versões LTS duram 5 anos. Verifique este link.
Se vc queria a interface GNOME era só ter instalado ela.
Dê-me um computador com o Tux que movo o mundo!

Linux User #323049

Offline edsonne3to

  • Usuário Ubuntu
  • *
  • Mensagens: 9
    • Ver perfil
Re:Erro "apt-get update"
« Resposta #7 Online: 23 de Agosto de 2015, 15:06 »
Bem... fiquei bastante grato com a atenção prestada. Acatei o conselho do "selvaking" e, depois de ter um problema com a inicialização do sistema, fiz um downgrade e voltei para o meu 14.04. No mais, obrigado por terem dado um toque no meu vocabulário :) - "Creto" e "garfo" - e, obviamente, um muito obrigado "aodruidaobelix" por ter, de fato, tirado todas as minhas dúvidas - e mais um pouco.

Vou modificar o titulo do tópico para que outras pessoas com mesma dúvida possam encontrar com mais facilidade.

Abraço!
« Última modificação: 23 de Agosto de 2015, 15:10 por edsonne3to »

Offline Mario Limão

  • Usuário Ubuntu
  • *
  • Mensagens: 128
  • Gremista, Arquiteto, Monarquista-Absolutista
    • Ver perfil
Re:Erro "apt-get update"
« Resposta #8 Online: 23 de Agosto de 2015, 15:24 »
Então, /edsonne3to/,

Suponho que você seja iniciante, já que fez o post na "Área para Iniciantes".
Essas ideias e conceitos relativas as mensagens de erros indicadas podem não ser assim tão simples para quem está iniciando.
Não é automática e tampouco óbvia a compreensão dessas questões.
Mas não é realmente difícil entender o que está ocorrendo.

Observe que a falha ocorrida deu-se apenas em dois endereços principais (basta separar o domínio do restante do link), assim:

http://extras.ubuntu.com

http://ppa.launchpad.net/nuvola-player-builders

O que acontece é apenas que não existem os pacotes de atualizações para a versão vivid do Ubuntu, que é a versão 15.04 para a qual você atualizou.

Se observar os endereços onde se verificaram as falhas, note que em todos eles existe /vivid/ indicando que  atualizador estava procurando uma atualização para essa versão, a qual não existe nos endereços principais acima indicados.

Se você entrar na página do endereço principal observará que no primeiro deles existem pacotes para as versões do Ubuntu precise (12.04), quantal (12.10), saucy (13.10), trusty (14.04) e utopic (14.10), mas não para a vivid (15.04), daí porque o atualizador não achou e devolveu a mensagem de erro 404, isto é, o endereço não foi encontrado, porque não existe.

No segundo endereço principal, que é uma ppa (igualmente entrando nele, irá observar situação semelhante.

E porque não existem tais atualizações para a versão 15.04 - vivid do Ubuntu?
Oras, apenas porque não foram criadas pelos desenvolvedores respectivos e talvez nem sejam.
À propósito, no Nuvola Player Stable Builds, que é o segundo endereço principal, se lê: "This PPA is obsolete. It's time to upgrade to Nuvola Player 3", portanto, certamente não haverá mais atualização mesmo.

E como objetivamente resolver o problema para que o atualizador não fique procurando atualizações em endereços que não existem?

Simples, desabilite essas ppas nas configurações do sistema.
Possivelmente você deverá ir além, como no caso acima mencionado do Nuvola Player Stable Builds, onde não só deverá desabilitar a ppa talvez desinstalar o pacote e, querendo, instalar a nova versão, como o próprio desenvolvedor indica.


Parabéns!
Excelente resposta, didática e esclarecedora.
Edson tomou decisão com pé no chão, com certeza, e ajudado pelo selva, ficou fácil.
Sigamos.
Ubuntu 14.04.5-LTS;  Desktop Amazon; Intel Core 2 Duo CPU E4500 @ 2.20 GHz x2; 4 GB; Intel 945Gx86/MM/SSE2; 32-Bit; 160GB.